{% extends 'base.html' %}
{% load staticfiles %}

{% block 'content' %}
<!-- Контент -->
<div class="container">

    <div class="content row">
        <form action="/" method="post" class="main-data-form text-center" id="form-map">
            {% csrf_token %}

            <div class="col-xs-3 col-md-4 col-lg-2 form-group text-center">
                <h4 class="menu-title"><label for="city" class="control-label">Город</label></h4>
                <input type="text" id="city" name="city" class="form-control form-filter" placeholder="Уфа" required>
            </div>

            <div class="col-xs-3 col-md-4 col-lg-2 form-group text-center">
                <h4 class="menu-title"><label for="point" class="control-label">Точка</label></h4>
                <select name="point" id="point" class="form-control form-filter">
                    <option value="">---</option>
                </select>
            </div>

            <div class="col-xs-3 col-md-4 col-lg-2 form-group text-center">
                <h4 class="menu-title"><label for="date" class="control-label">Дата</label></h4>
                <input type="date" id="date" name="date" class="form-control form-filter" placeholder="" required value="2017-04-01">
            </div>

            <div class="col-xs-3 col-md-4 col-lg-3 form-group text-center">
                <h4 class="menu-title"><label for="timeFrom" class="control-label">Период времени</label></h4>
                <div class="row inputTime">
                    <div class="col-md-4 col-lg-4"><input type="time" id="timeFrom" name="timeFrom" class="form-control slider-time1 form-filter" step="900" value="09:00"></div>
                    <div class="col-md-4 col-lg-4">
                        <div class="sliders_step1" style="padding-top: 10px;">
                            <div id="slider-range"></div>
                        </div>
                    </div>
                    <div class="col-md-4 col-lg-4"><input type="time" id="timeTo" name="timeTo" class="form-control slider-time2 form-filter" step="900" value="17:00"></div>
                </div>
            </div>

            <div class="col-xs-3 col-md-1 col-lg-3 form-group text-center">
                <h4 class="menu-title">&nbsp;<label style="font-size: 14px;" id="msg-label">&nbsp;</label></h4>
                <button class="btn btn-default form-control" id="upd-btn" style="width: 50%;">Загрузить</button>
            </div>

        </form>
    </div>

    <div class="content row">

        <!-- Сама карта -->
        <div class="left-column col-xs-6 xol-sm-12 col-lg-8">
            <div class="map-container">
                <div id="map"></div>
            </div>
        </div>

        <!-- Таблица с данными -->
        <div class="right-column col-xs-6 col-sm-12 col-lg-4">
            <div class="flights-table">
                <h4 class="text-center">Таблица маршрутов</h4>
                <table class="table table-hover" id="flights-table">
                    <thead>
                        <th width="5%" class="text-right">№</th>
                        <th width="40%" class="text-center">Пункт отправления</th>
                        <th width="40%" class="text-center">Пункт доставки</th>
                        <th width="15%" class="text-center">Протяженность</th>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>

    </div>

</div>

<script type="text/javascript" src="{% static 'js/ymaps.js' %}"></script>
<script type="text/javascript" src="{% static 'js/script.js' %}?1"></script>
<script type="text/javascript" src="{% static 'js/slider.js' %}?1"></script>
{% endblock %}